Bug 1052914 (CVE-2014-1438)

Summary: CVE-2014-1438 kernel: x86: exceptions are not cleared in AMD FXSAVE workaround
Product: [Other] Security Response Reporter: Prasad J Pandit <prasad>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: davej, gansalmon, itamar, jforbes, jonathan, jwboyer, kernel-maint, madhu.chinakonda, pmatouse
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20131230,reported=20140112,source=oss-security,cvss2=4.7/AV:L/AC:M/Au:N/C:N/I:N/A:C,rhel-5/kernel=notaffected,rhel-6/kernel=notaffected,rhel-7/kernel=notaffected,mrg-2/realtime-kernel=affected,fedora-all/kernel=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-04-28 13:37:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1053596, 1053597, 1053598, 1053599    
Bug Blocks: 1047328    

Description Prasad J Pandit 2014-01-14 06:45:37 EST
Linux kernel is found to be vulnerable to a NULL pointer dereference flaw
caused due to inappropriate handling of Floating Point Unit(FPU) exceptions
during task switch at 'emms' instruction. This only affects AMD CPU family
in both i386 & AMD64 modes.

A user/program could use this flaw to kill tasks at random resulting in DoS
or potentially gain root privileges if allowed to map NULL(mmap_min_addr=0)
page.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/26bef1318adc1b3a530ecc807ef99346db2aa8b0

Reference:
----------
 -> https://lkml.org/lkml/2013/12/28/95
 -> http://www.openwall.com/lists/oss-security/2014/01/12/1
 -> http://www.halfdog.net/Security/2013/Vm86SyscallTaskSwitchKernelPanic/
Comment 1 Prasad J Pandit 2014-01-15 08:22:57 EST
Statement:

This issue does not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6.
Comment 4 Prasad J Pandit 2014-01-15 08:27:00 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1053599]
Comment 5 Fedora Update System 2014-01-19 22:04:34 EST
kernel-3.12.8-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-01-19 22:07:41 EST
kernel-3.12.8-300.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 errata-xmlrpc 2014-04-28 12:53:43 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2014:0439 https://rhn.redhat.com/errata/RHSA-2014-0439.html